ECHO OFF
ECHO ========================================
ECHO * Setup script for Camera Array Player *
ECHO ========================================

ECHO 1: Install .net framework 2.0. Cancel this installation if it is already there.
cd "1-v2.netframework-optional, as long as 2 can be installed"
dotnetfx-2.0.exe
cd ..

ECHO 2: Install WINSDK for these MFC/MS*.dll files, etc.
cd 2-winsdk-x86, must
winsdk-x86.msi
cd ..

ECHO 3: Create c:\player fold and copy player binary file and its logo file in it.
xcopy player c:\player\ /S /E /F /Y

ECHO 4: Copy Intel IPP DLL distribution files (too much DLL files, need trim).
copy "3-ipp-dll, copy to player folder"\*.* c:\player

ECHO 5: Create shortcut:
MD "%userprofile%\start menu\programs\HSVO Camera Array Player"
SHORTCUT -f C:\player\cap_gui.exe -i c:\player\cap.ico -D "cap_gui.lnk"
copy "%userprofile%\desktop\cap_gui.lnk" "%userprofile%\start menu\programs\HSVO Camera Array Player\Camera Array Player GUI.lnk"

ECHO 6: Launch the player gui
c:\player\cap_gui.exe

ECHO ON